"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ShallowUser_1 = require("./ShallowUser");
class Badge {
    constructor(badge) {
        var _a;
        this.awardCount = badge.award_count;
        this.badgeId = badge.badge_id;
        this.badgeType = badge.badge_type;
        this.description = (_a = badge.description, (_a !== null && _a !== void 0 ? _a : null));
        this.link = badge.link;
        this.name = badge.name;
        this.rank = badge.rank;
        if (typeof badge.user === 'undefined') {
            this.user = null;
        }
        else {
            this.user = new ShallowUser_1.ShallowUser(badge.user);
        }
    }
}
exports.Badge = Badge;
