import { ShallowUser } from './ShallowUser';
import { TypeComment } from '../result-types/TypeComment';
export declare class Comment {
    body?: string;
    bodyMarkdown?: string;
    canFlag?: boolean;
    commentId: number;
    creationDate: Date;
    edited: boolean;
    link?: string;
    owner?: ShallowUser;
    postId: number;
    postType?: 'question' | 'answer';
    replyToUser?: ShallowUser;
    score: number;
    upvoted?: boolean;
    constructor(comment: TypeComment);
}
