import { RelatedSite } from './RelatedSite';
import { Styling } from './Styling';
import { TypeSite } from '../result-types/TypeSite';
export declare class Site {
    aliases?: string[];
    apiSiteParameter: string;
    audience: string;
    closedBetaDate?: Date;
    faviconUrl: string;
    highResolutionIconUrl?: string;
    iconUrl: string;
    launchDate: Date;
    logoUrl: string;
    markdownExtensions?: Array<'MathJax' | 'Prettify' | 'Balsamiq' | 'jTab'>;
    name: string;
    openBetaDate?: Date;
    relatedSites?: RelatedSite[];
    siteState: 'normal' | 'closed_beta' | 'open_beta' | 'linked_meta';
    siteType: 'main_site' | 'meta_site';
    siteUrl: string;
    styling: Styling;
    twitterAccount?: string;
    constructor(site: TypeSite);
}
