"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const OriginalQuestion_1 = require("./OriginalQuestion");
const ShallowUser_1 = require("./ShallowUser");
class ClosedDetails {
    constructor(closed_details) {
        if (typeof closed_details.by_users === 'undefined') {
            this.byUsers = null;
        }
        else {
            this.byUsers = closed_details.by_users
                .map((shallow_user) => new ShallowUser_1.ShallowUser(shallow_user));
        }
        this.description = closed_details.description;
        this.onHold = closed_details.on_hold;
        if (typeof closed_details.original_questions === 'undefined') {
            this.originalQuestions = null;
        }
        else {
            this.originalQuestions = closed_details.original_questions
                .map((original_question) => new OriginalQuestion_1.OriginalQuestion(original_question));
        }
        this.reason = closed_details.reason;
    }
}
exports.ClosedDetails = ClosedDetails;
