import { Site } from './Site';
import { TypeInfo } from '../result-types/TypeInfo';
export declare class Info {
    answersPerMinute: number;
    apiRevision: string;
    badgesPerMinute: number;
    newActiveUsers: number;
    questionsPerMinute: number;
    site?: Site;
    totalAccepted: number;
    totalAnswers: number;
    totalBadges: number;
    totalComments: number;
    totalQuestions: number;
    totalUnanswered: number;
    totalUsers: number;
    totalVotes: number;
    constructor(info: TypeInfo);
}
